For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agent

Retrieve call queue agent

get

Retrieve information of call queue agent.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
queue_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
extension_numberstring · min: 3 · max: 64Optional

The extension number.

Pattern: [0-9]{3,64}
display_namestring · max: 1024Optional

The display name of user.

skill_levelinteger · int32 · min: 1 · max: 100Optional

The skill level of agent in queue.
Only valid when polling_strategy is skill based.

Default: 1
statusstring · enumRead-onlyOptional

Current status of agent:

  • READY:
  • NOT_READY:
  • QUEUE_CALL:
  • OTHER_CALL:
  • WRAP_UP:
  • BREAK:
  • LUNCH:
  • TRANSFER:
  • CONSULT_TRANSFER:
  • ON_HOLD:
  • LOGGED_OUT:
  • OFFLINE:
Possible values:
get/users/{id}/call_queues/{queue_id}/agent

Set call queue agent status

post

Set call queue agent status.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
queue_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
statusstring · enumOptional

Change call queue agent status to one of the following:

  • READY:
  • NOT_READY:
  • WRAP_UP:
  • BREAK:
  • LUNCH:
  • LOGGED_IN:
  • LOGGED_OUT:
Example: READYPossible values:
Responses
200

OK

No content

post/users/{id}/call_queues/{queue_id}/agent

No content

Was this helpful?